version: '3.8'

services:
  web:
    image: ahmad851/ahmad851m347:kn02aweb
    container_name: m347-kn04a-web 
    ports:
      - "80:80"
    depends_on:
      - db
    networks:
      ahmadnetz:
        ipv4_address: 172.50.5.1
      

  db:
    image: ahmad851/ahmad851m347:kn02adb
    container_name: m347-kn04a-db
    ports:
      - "3306:3306"
    networks:
      ahmadnetz:
          ipv4_address: 172.50.5.2

networks:
  ahmadnetz:
    driver: bridge
    ipam:
      config:
        - subnet: 172.50.0.0/16
          ip_range: 172.50.5.0/24
          gateway: 172.50.5.254
